Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 127182 - output should have different tabs for different repositories
output should have different tabs for different repositories
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: TBD
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 11:13 UTC by Tomas Stupka
Modified: 2008-02-25 09:50 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (157.82 KB, patch)
2008-02-19 14:02 UTC, Padraig Obriain
Details | Diff
updated patch (175.27 KB, patch)
2008-02-21 11:17 UTC, Padraig Obriain
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Stupka 2008-02-12 11:13:43 UTC
there should be a separate tab in the output window for every repository
Comment 1 John Rice 2008-02-12 15:45:40 UTC
I would see this as an enhancement and not a defect. Some may want all the mercurial related info on a single output
tab, others may want it on individual tabs. Should probably be a Mercurial Option.
Comment 2 Tomas Stupka 2008-02-12 16:37:23 UTC
actually, what triggered this issue was the fact that i haven't seen any info in the rollback commands output regarding
the context on which it was invoked. 

Comment 3 Peter Pis 2008-02-12 16:41:57 UTC
As tstupka said it should have separated tab for each repository. CVS and Subversion integrations behave in this way.
Comment 4 Peter Pis 2008-02-12 16:47:12 UTC
IMHO, it's rather a defect.
Comment 5 John Rice 2008-02-12 17:21:11 UTC
Ah ok - the Rollback not giving output and context is a bug as well. We can make the change no probs.
Comment 6 Padraig Obriain 2008-02-19 14:02:18 UTC
Created attachment 56861 [details]
proposed patch
Comment 7 Padraig Obriain 2008-02-21 11:17:36 UTC
Created attachment 56973 [details]
updated patch
Comment 8 Padraig Obriain 2008-02-21 11:35:57 UTC
bb611338088f: patch pushed
Comment 9 John Rice 2008-02-21 14:55:43 UTC
The current fix uses the full path of the repository as the Tab title, which seems to be a bit long winded, though
unambiguous.

The question is if we don't set it to the full repo path, then what should it be set to?

In the Status Window we use "Mercurial - <output of Utils.getContextDisplayName(context)>" Should we be doing the same
here? This will give us per Project tabs, not per Repository. Is this what you want or not?

If we stick with per Repository tabs then with the NetBeans repo all of the projects I open such as mercurial or
subversion will all output to the same tab, which is perhaps not what a user would expect.
If you do want to stick with one tab per repository in spite of this issue with repositories containing multiple NB
projects, then I still think we need to do something about the long path.

Perhaps a good compromise would be to have the following:
"Mercurial - <output of Utils.getContextDisplayName(context)> (<repsoitory.getName()>)"
"Mercurial - ProjectName (Top Level Repo Folder)"
Comment 10 John Rice 2008-02-25 09:50:25 UTC
On Subversion we get in the tab:

<Full path to the repository URL>

So will leave this for now and if we get any feedback we can always modify it.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo